<?php
/*
        Pingback Content Check Plugin
		Checks PB to ensure they do contain more than just a link
        For Spam Karma 2
        Version 0.01
        Copyright 2006 Peter Westood

        This program is free software; you can redistribute it and/or
        modify it under the terms of the GNU General Public License
        as published by the Free Software Foundation; either version 2
        of the License, or (at your option) any later version.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with this program; if not, write to the Free Software
        Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
*/


class sk2_pjw_pingback_content_check_plugin extends sk2_plugin
{
	var $name = "PingBack Content Check";
	var $description = "Checks the Pingback content to ensure it doesn't just contain a link to the site.";
	var $author = "Peter Westwood";
	var $plugin_help_url = "";
	var $filter = true;
	var $plugin_version = 0.01;
	
	
	function filter_this(&$cmt_object)
	{

		if ($cmt_object->is_pingback())
		{
			if(count($cmt_object->content_url_no_links) == 1)
			{
				// One Link
				if (strcmp("[...] {$cmt_object->content_url_no_links[0]} [...]",$cmt_object->content))
				{
				
					$log = __("Pingback Content only contains a link.");
					$this->hit_karma($cmt_object, 5, $log);
				}
			}
		}
		return;
	}
}

$this->register_plugin("sk2_pjw_pingback_content_check_plugin", 6); // should be loaded rather late (if at all)...

?>
